<template>
  <v-app>
    <Menu/>
    <v-container>
      <v-row align="center" justify="center" align-content="center">
        <v-col
            cols="12"
            xs="12"
            sm="6"
            md="4"
            xl="3"
            align-self="center"
        >
          <v-card
              class="mx-auto"
          >
            <v-img
                src="../assets/old.png"
                height="200px"
            ></v-img>

            <v-card-title>
              Last portfolio
            </v-card-title>

            <v-card-subtitle>
              HTML, CSS, PHP
            </v-card-subtitle>

            <v-card-actions>
              <v-btn text
                     href="https://sandrapoll.com/old"
                     target="_blank"
                     color="primary"
              >Take a look
              </v-btn>
            </v-card-actions>

          </v-card>
        </v-col>
        <v-col
            cols="12"
            xs="12"
            sm="6"
            md="4"
            xl="3"
            align-self="center"
        >
          <v-card
              class="mx-auto"


          >
            <v-img
                src="../assets/projects.png"
                height="200px"
            ></v-img>

            <v-card-title>
              Simple project manager
            </v-card-title>

            <v-card-subtitle>
              Laravel
            </v-card-subtitle>

            <v-card-actions>
              <v-btn text
                     href="https://projects.sandrapoll.com/"
                     target="_blank"
                     color="primary"
              >Take a look
              </v-btn>
            </v-card-actions>

          </v-card>
        </v-col>

        <v-col
            cols="12"
            xs="12"
            sm="6"
            md="4"
            xl="3"
            align-self="center"
        >
          <v-card
              class="mx-auto"


          >
            <v-img
                src="../assets/maps.png"
                height="200px"
            ></v-img>

            <v-card-title>
              Save your Places
            </v-card-title>

            <v-card-subtitle>
              Google Maps API
            </v-card-subtitle>

            <v-card-actions>
              <v-btn text
                     href="https://maps.sandrapoll.com/"
                     target="_blank"
                     color="primary"
              >
                Take a look
              </v-btn>
            </v-card-actions>

          </v-card>
        </v-col>

        <v-col
            cols="12"
            xs="12"
            sm="6"
            md="6"
            xl="3"
            align-self="center"
        >
          <v-card
              class="mx-auto"


          >
            <v-img
                src="../assets/tarkvaraprojekt.png"
                height="200px"
            ></v-img>

            <v-card-title>
              School Government page
            </v-card-title>

            <v-card-subtitle>
              Laravel, Vue.JS & Vuetify
            </v-card-subtitle>

            <v-card-actions>
              <v-btn text
                     href="https://tarkvaraprojekt.vilbas.ee/"
                     target="_blank"
                     color="primary">
                Take a look
              </v-btn>

              <v-btn
                  text
                  href="https://gitlab.vilbas.ee/tak16/tarkvaraprojekt"
                  target="_blank"
              >
                See code
              </v-btn>

              <v-spacer></v-spacer>

              <v-btn
                  icon
                  @click="show = !show"
              >
                <v-icon>{{ show ? 'mdi-chevron-double-up' : 'mdi-chevron-double-down' }}</v-icon>
              </v-btn>
            </v-card-actions>

            <v-expand-transition>
              <div v-show="show">
                <v-divider></v-divider>

                <v-card-text>
                  I made all except voting & login (it was a group project).
                  There are 3 roles - admin, user & moderator. Their views are different.<br>
                  <b>To access:</b> <br>
                  user@demo.com<br>
                  moderator@demo.com<br>
                  admin@demo.com<br>


                </v-card-text>
              </div>
            </v-expand-transition>
          </v-card>
        </v-col>

        <v-col
            cols="12"
            xs="12"
            sm="6"
            md="6"
            xl="3"
            align-self="center"
        >
          <v-card
              class="mx-auto"


          >
            <v-img
                src="../assets/eshop.png"
                height="200px"
            ></v-img>

            <v-card-title>
              E-shop with bank link
            </v-card-title>

            <v-card-subtitle>
              HTML, CSS, PHP, JavaScript
            </v-card-subtitle>

            <v-card-actions>
              <v-btn text
                     href="https://gitlab.com/sandra.poll/e-pood"
                     target="_blank"
              >
                See code
              </v-btn>
            </v-card-actions>

          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </v-app>
</template>

<script>

import Menu from "@/components/Menu";

export default {
  name: 'Projects',

  components: {
    Menu
  },

  data: () => ({
    show: false,
  }),
}
</script>


<style>

</style>
